// requires Impossible_6_0_01_S1.stl and Impossible_6_0_01_S2.stl
// the 6 refers to an 8x8 matrix of 6 mm cubes hence 48 mm diameter or 24 mm radius
// the 0 means zero bevel on sharp edges
// the 01 means a 0.1 mm offset removed from each face to allow a tolerance so that the printed pieces can move
// so the actual radius would be 23.9 mm for an exact fit

sphereradius = 23.9;
sphereresolution = 60;
gap = 22;

intersection() {
translate([-gap,0,0]) import_stl("Impossible_6_0_01_S1.stl");
translate([-gap,0,0]) sphere (r=sphereradius, $fn=sphereresolution);
}

intersection() {
translate([gap,0,0]) import_stl("Impossible_6_0_01_S2.stl");
translate([gap,0,0]) sphere (r=sphereradius, $fn=sphereresolution);
}
